%  
%  Author: Peter Polcz (ppolcz@gmail.com) 
%  Created on 2023. October 05. (2023a)
%
function [position,isterminal,direction] = ...
    hp_ode_terminal_event_ball(~,x,P,r,args)
arguments
    ~,x
    P = [0;0];
    r = 10;

    % leaving: 1
    % entering: -1
    % both directions: 0
    args.Direction {mustBeMember(args.Direction,[1,-1,0])} = 1
end

% Expression which are tested whether they approach zero.
position = norm(x - P) - r;

% Selector (toggle switch)
isterminal = 1;

% Direction of the zero crossing
direction = args.Direction;
